<ion-app>
  <ion-split-pane contentId="main-content">
    <ion-menu contentId="main-content" type="overlay">
      <ion-content>
        <ion-list id="inbox-list">
          <ion-header>
            <app-photo-profile></app-photo-profile>
            <ion-list-header>{{ userName }}</ion-list-header>
            <ion-note>{{ userEmail }}</ion-note>
          </ion-header>

          <ion-menu-toggle auto-hide="false">
            <ion-item
              (click)="changeInterface('/home')"
              lines="none"
              detail="false"
            >
              <ion-icon slot="start" name="home"></ion-icon>
              <ion-label>Home</ion-label>
            </ion-item>
          </ion-menu-toggle>

          <ion-menu-toggle
            auto-hide="false"
            *ngFor="let p of menu; let i = index"
          >
            <ion-item
              (click)="changeInterface(p.url)"
              lines="none"
              detail="false"
            >
              <ion-icon
                slot="start"
                [ios]="p.icon + '-outline'"
                [md]="p.icon + '-sharp'"
              ></ion-icon>
              <ion-label>{{ p.title }}</ion-label>
            </ion-item>
          </ion-menu-toggle>

          <ion-menu-toggle auto-hide="false">
            <ion-item
              (click)="changeInterface('/manager-profile')"
              lines="none"
              detail="false"
            >
              <ion-icon
                slot="start"
                [ios]="'person' + '-outline'"
                [md]="'person' + '-sharp'"
              ></ion-icon>
              <ion-label>Gerenciar Perfil</ion-label>
            </ion-item>
          </ion-menu-toggle>

          <ion-menu-toggle auto-hide="false">
            <ion-item lines="none" detail="false" (click)="auth.logout()">
              <ion-icon slot="start" name="exit"></ion-icon>
              <ion-label>Sair</ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>
      </ion-content>
    </ion-menu>
    <ion-router-outlet id="main-content"></ion-router-outlet>
  </ion-split-pane>
</ion-app>
